Package org.eclipse.m2m.atl.adt.ui.viewsupport

# Class ProblemMarkerManager

java.lang.Object
org.eclipse.m2m.atl.adt.ui.viewsupport.ProblemMarkerManager

All Implemented Interfaces:
  `EventListener`, `org.eclipse.core.resources.IResourceChangeListener`

public class ProblemMarkerManager extends Object implements org.eclipse.core.resources.IResourceChangeListener
Listens to resource deltas and filters for marker changes of type IMarker.PROBLEM Viewers showing error ticks should register as listener to this type.

## Field Summary

### Fields inherited from interface org.eclipse.core.resources.IResourceChangeListener

`PROPERTY_EVENT_MASK`

## Constructor Summary

Constructors
Constructor
Description
`ProblemMarkerManager()`

## Method Summary

Modifier and Type
Method
Description
`void`
`addListener(IProblemChangedListener listener)`
Adds a listener for problem marker changes.
`void`
`removeListener(IProblemChangedListener listener)`
Removes a `IProblemChangedListener`.
`void`
`resourceChanged(org.eclipse.core.resources.IResourceChangeEvent event)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ProblemMarkerManager

public ProblemMarkerManager()

## Method Details

### resourceChanged

public void resourceChanged(org.eclipse.core.resources.IResourceChangeEvent event)

Specified by:
  `resourceChanged` in interface `org.eclipse.core.resources.IResourceChangeListener`
See Also:
  - `IResourceChangeListener.resourceChanged(org.eclipse.core.resources.IResourceChangeEvent)`

### addListener

public void addListener(IProblemChangedListener listener)
Adds a listener for problem marker changes.

### removeListener

public void removeListener(IProblemChangedListener listener)
Removes a `IProblemChangedListener`.